post /v1/crawl
Start an async crawl job(预扣 limit 额度,逐页结算)
HTTP 202。轮询 GET /v1/crawl/{jobId};credits 语义见 docs credits.md。
Auth: Authorization: Bearer ac-… · billed per call (see Credits) — envelope {success,data,credit_cost} or {success:false,error}.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
Idempotency-Key |
header | string |
幂等键:同 key 重试不二次建 job |
Request body
| Field | Type | Description |
|---|---|---|
url * |
string uri (/^https?:///) |
Page URL to fetch (http or https). |
limit |
integer (≥1 ≤10000) |
|
include_paths |
string (len≥1)[] |
|
exclude_paths |
string (len≥1)[] |
|
webhook |
object |
|
webhook.url * |
string uri |
|
webhook.events * |
enum("crawl.started", "crawl.page", "crawl.completed", "crawl.failed", "monitor.page", "monitor.check.completed")[] |
|
webhook.secret |
string (len≥8 len≤200) |
Full request schema
{
"$ref": "#/components/schemas/CrawlRequest"
}Responses
| Status | Description | Body |
|---|---|---|
202 | OK | application/json — AsyncSuccess |
default | Error | application/json — ErrorResponse |